Bug 809368 - [ovirt] [vdsm] deadlock on SPM stop command
[ovirt] [vdsm] deadlock on SPM stop command
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.4
Assigned To: Dan Kenigsberg
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 04:19 EDT by Haim
Modified: 2016-02-10 11:28 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:36:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
deadlock (478.08 KB, application/x-tar)
2012-04-03 04:22 EDT, Haim
no flags Details

  None (edit)
Description Haim 2012-04-03 04:19:48 EDT
Description of problem:

I seem to hit a deadlock on vdsm after spmStop task fails on resource time-out.
I noticed that after this failure, host fails to handle connectStorageServer calls from backend, meaning, connectStorageServer is sent, iscsi login is performed,
but command seem to stuck on _invalidateAllPvs, and vdsm doesn't return valid response to backend. 

Thread-277736:EBUG::2012-04-01 05:16:07,103::lvm::457::OperationMutex:_invalidateAllPvs) Operation 'lvm reload operation' is holding the operation mutex, waiting...
Thread-277738:EBUG::2012-04-01 05:16:07,826::BindingXMLRPC::167::vds:wrapper) [10.35.97.3

all problems started after failure in 'Thread-277609'.

in gdb, there are lots of threads waiting in cond.wait().

attached full gdb trace of all running threads, and vdsm log.

please note that it happened while connection connection to NFS server hosting 2 mount points was blocked.
Comment 1 Haim 2012-04-03 04:22:13 EDT
Created attachment 574784 [details]
deadlock
Comment 2 Itamar Heim 2013-03-12 05:36:44 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.